x3270(1)

NAME
x3270 - IBM host access tool

SYNOPSIS
x3270 [options] [host]

DESCRIPTION
x3270 opens a telnet connection to an IBM host in an X window. It implements RFCs 2355 (TN3270E), 1576 (TN3270) and 1646 (LU name selection), and supports IND$FILE file transfer. The window created by x3270 can use its own font for displaying characters, so it is a fairly accurate representation of an IBM 3278 or 3279. It is similar to tn3270(1) except that it is X-based, not curses-based.

The full syntax for host is:
    [prefix:]...[LUname@]hostname[:port]

Prepending a P: onto hostname causes the connection to go through the telnet-passthru service rather than directly to the host. See PASSTHRU below.

Prepending an S: onto hostname removes the "extended data stream" option reported to the host. See -tn below for further information.

Prepending an N: onto hostname turns off TN3270E support for the session.

Prepending an L: onto hostname causes x3270 to first create an SSL tunnel to the host, and then create a TN3270 session inside the tunnel. (This function is supported only if x3270 was built with SSL/TLS support). Note that TLS-encrypted sessions using the TELNET START-TLS option are negotiated with the host automatically; for these sessions the L: prefix should not be used.

A specific Logical Unit (LU) name to use may be specified by prepending it to the hostname with an `@'. Multiple LU names to try can be separated by commas. An empty LU can be placed in the list with an extra comma. (Note that the LU name is used for different purposes by different kinds of hosts. For example, CICS uses the LU name as the Terminal ID.)

The hostname may optionally be placed inside square-bracket characters `[' and `]'. This will prevent any colon `:' characters in the hostname from being interpreted as indicating option prefixes or port numbers. This allows numeric IPv6 addresses to be used as hostnames.

On systems that support the forkpty library call, the hostname may be replaced with -e and a command string. This will cause x3270 to connect to a local child process, such as a shell.

The port to connect to defaults to telnet. This can be overridden with the -port option, or by appending a port to the hostname with a colon `:'. (For compatability with previous versions of x3270 and with tn3270(1), the port may also be specified as a second, separate argument.)

OPTIONS
x3270 is a toolkit based program, so it understands standard Xt options and resources. It also understands the following options:

-activeicon
    Specifies that the icon should be a miniature version of the screen image. See ICONS below.

-apl
    Sets up APL mode. This is actually an abbreviation for several options. See APL SUPPORT below.

-cc range:value[,...]
    Sets character classes. See CHARACTER CLASSES, below.

-charset name
    Specifies an EBCDIC host character set. See CHARACTER SETS below.

-clear toggle
    Sets the initial value of toggle to false. The list of toggle names is under MENUS below.

-efont name
    Specifies a font for the emulator window. See FONTS below.

-iconname name
    Specifies an alternate title for the program icon.

-iconx x
    Specifies the initial x coordinate for the program icon.

-icony y
    Specifies the initial y coordinate for the program icon.

-im method
    Specifies the name of the input method to use for multi-byte input. (Supported only when x3270 is compiled with DBCS support.)

-keymap name
    Specifies a keymap name and optional modifiers. See KEYMAPS below.

-keypad
    Turns on the keypad as soon as x3270 starts.

-km name
    Specifies the local encoding method for multi-byte text. name is an encoding name recognized by the ICU library. (Supported only when x3270 is compiled with DBCS support, and necessary only when x3270 cannot figure it out from the locale.)

-model name
    The model of 3270 display to be emulated. The model name is in two parts, either of which may be omitted:

    The first part is the base model, which is either 3278 or 3279. 3278 specifies a monochrome (green on black) 3270 display; 3279 specifies a color 3270 display.

    The second part is the model number, which specifies the number of rows and columns. Model 4 is the default.

Model Number | Columns | Rows
2 | 80 | 24
3 | 80 | 30
4 | 80 | 43
5 | 132 | 27

    Note: Technically, there is no such 3270 display as a 3279-4 or 3279-5, but most hosts seem to work with them anyway.

    The default model for a color X display is 3279-4. For a monochrome X display, it is 3278-4.

-mono
    Forces x3270 to believe it is running on a monochrome X display.

-once
    Causes x3270 to exit after a host disconnects. This option has effect only if a hostname is specified on the command line.

-oversize colsxrows
    Makes the screen larger than the default for the chosen model number. This option has effect only in combination with extended data stream support (controlled by the "x3270.extended" resource), and only if the host supports the Query Reply structured field. The number of columns multiplied by the number of rows must not exceed 16383 (3fff hex), the limit of 14-bit 3270 buffer addressing.

-port n
    Specifies a different TCP port to connect to. n can be a name from /etc/services like telnet, or a number. This option changes the default port number used for all connections. (The positional parameter affects only the initial connection.)

-printerlu luname
    Causes x3270 to automatically start a pr3287 printer session. If luname is ".", then the printer session will be associated with the interactive terminal session (this requires that the host support TN3270E). Otherwise, the value is used as the explicit LU name to associate with the printer session.

-proxy type:host[:port]
    Causes x3270 to connect via the specified proxy, instead of using a direct connection. The host can be an IP address or hostname. The optional port can be a number or a service name. For a list of supported proxy types, see PROXY below.

-pt type
    Specifies the preedit type for the multi-byte input method. Valid values are OverTheSpot, OffTheSpot, Root and OnTheSpot. The value for OverTheSpot can include an optional suffix, a signed number indicating the vertical distance in rows of the preedit window from the cursor position, e.g. OverTheSpot+1 or OverTheSpot-2. The default value is OverTheSpot+1. (Supported only when x3270 is compiled with DBCS support.)

-reconnect
    Causes x3270 to automatically reconnect to the host if it ever disconnects. This option has effect only if a hostname is specified on the command line.

-sb Turns on the scrollbar.

+sb Turns the scrollbar off.

-scheme name
    Specifes a color scheme to use in 3279 mode. This option has effect only in combination with 3279 emulation. See COLOR SCHEMES below.

-script
    Causes x3270 to read commands from standard input, with the results written to standard output. The protocol for these commands is documented in x3270-script(1).

-sl n
    Specifies that n lines should be saved for scrolling back. The default is 64.

-set toggle
    Sets the initial value of toggle to true. The list of toggle names is under MENUS below.

-socket
    Causes the emulator to create a Unix-domain socket when it starts, for use by script processes to send commands to the emulator. The socket is named /tmp/x3sck.process_id. The -p option of x3270if causes it to use this socket, instead of pipes specified by environment variables.

-tn name
    Specifies the terminal name to be transmitted over the telnet connection. The default name is IBM-model_name-E, for example, IBM-3279-4-E for a color X display, or IBM-3278-4-E for a monochrome X display.

    Some hosts are confused by the -E suffix on the terminal name, and will ignore the extra screen area on models 3, 4 and 5. Prepending an s: on the hostname, or setting the "x3270.extended" resource to "false", removes the -E from the terminal name when connecting to such hosts.

    The name can also be specified with the "x3270.termName" resource.

-trace
    Turns on data stream tracing at startup. Unlike turning it on from a menu option, there is no pop-up to confirm the file name, which defaults to /tmp/x3trc.process_id.

-tracefile file
    Specifies a file to save data stream and event traces into. If the value stdout is given, then traces will be written to standard output. If the value none is given, then traces will be piped directly to the monitor window, and no file will be created.

-tracefilesize size
    Places a limit on the size of a trace file. If this option is not specified, or is specified as 0 or none, the trace file will be unlimited. If specified, the trace file cannot already exist, and the (silently enforced) minimum size is 64 Kbytes. The value of size can have a K or M suffix, indicating kilobytes or megabytes respectively.

After reading resource definitions from the X server and any standandard X11 resource definition files ($HOME/.Xdefaults, etc.), x3270 will read definitions from the file $HOME/.x3270pro. This file contains local customizations and is also used to save changed options by the Save Changed Options in File menu option.

Note that -xrm options override any definitions in the .x3270pro file.

FILES
/usr/lib/X11/x3270/ibm_hosts
$HOME/.x3270pro

ENVIRONMENT VARIABLES
3270PRO Path of profile file, containing resource definitions. Merged after the system resource database, but before X3270RDB. Defaults to $HOME/.x3270pro.
NOX3270PRO If set, do not read the profile.
X3270RDB Additional resource definitions, merged after the profile file but before the command-line options.
KEYMAP Keymap name.
KEYBD Keymap name.

SEE ALSO
s3270(1), c3270(1), tcl3270(1), ibm_hosts(5), x3270-script(1), pr3287(1), telnet(1), tn3270(1)
X Toolkit Intrinsics
Data Stream Programmer's Reference, IBM GA23-0059
Character Set Reference, IBM GA27-3831
RFC 1576, TN3270 Current Practices
RFC 1646, TN3270 Extensions for LUname and Printer Selection
RFC 2355, TN3270 Enhancements

COPYRIGHTS

Modifications and original code Copyright 1993, 1994, 1995, 1996, 1997, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007 by Paul Mattes.
DFT File Transfer Code Copyright October 1995 by Dick Altenbern.
RPQNAMES Code Copyright 2004, 2005 by Don Russell.
Original X11 Port Copyright 1990 by Jeff Sparkes.
    Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.
Copyright 1989 by Georgia Tech Research Corporation, Atlanta, GA 30332.
    All Rights Reserved. GTRC hereby grants public use of this software. Derivative works based on this software must incorporate this copyright notice.
x3270 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file LICENSE for more details.

VERSION
x3270 3.3.7p8